// This code monitors a "Funduino" water sensor and 
// lights an LED when water is detected

int ledPin = 8; // pin for lighting LED when water is detected
int analogPin = 0; // pin attached to signal on "Funduino" water sensor

void setup()
{

 // Open serial communications
  Serial.begin(9600);
 // Set the ledPin to output to enable turning it on and off
  pinMode(ledPin, OUTPUT);
}

void loop()
{

 int sensor = analogRead(analogPin);
 if(sensor > 400) { 
  // there is conductivity assocaited with the sensor
  digitalWrite(ledPin, HIGH);
  Serial.println("FLOW ON");
 } 
 else {
  // not enough conductivity to suggest flow
  digitalWrite(ledPin, LOW);
  Serial.println("FLOW OFF");
 }  
   
 // Take 1 measurement every 2000 milliseconds
 delay(2000);
}
